Bug 27635 - Make get_by_id/put_by_id/method_check/call defer optimization using a data flag rather than a code modification.
Summary: Make get_by_id/put_by_id/method_check/call defer optimization using a data fl...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Gavin Barraclough
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-23 21:22 PDT by Gavin Barraclough
Modified: 2009-08-06 20:13 PDT (History)
1 user (show)

See Also:


Attachments
The Patch. (46.37 KB, patch)
2009-07-23 22:05 PDT, Gavin Barraclough
oliver: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gavin Barraclough 2009-07-23 21:22:23 PDT
This will improve the performance of ENABLE(ASSEMBLER_WX_EXCLUSIVE) builds.
Comment 1 Gavin Barraclough 2009-07-23 22:05:22 PDT
Created attachment 33406 [details]
The Patch.
Comment 2 Geoffrey Garen 2009-07-23 22:32:59 PDT
It looks like this patch might create conflicts with the merge I'm working on.

The PtrAndFlags, StructureStubInfo and CodeBlock changes probably won't conflict, and removing virtualCallPreLinkBegin probably won't conflict too much (modulo a file move), but I'm worried that the JITCall and JITStubs changes risk making diff very confused, since I've made a lot of changes in the same areas.

Do you think you can hold off landing until after Friday?

I gave the patch a brief review, and it looks good to me.
Comment 3 Gavin Barraclough 2009-07-30 19:21:06 PDT
Sending        JavaScriptCore/ChangeLog
Sending        JavaScriptCore/bytecode/CodeBlock.cpp
Sending        JavaScriptCore/bytecode/CodeBlock.h
Sending        JavaScriptCore/bytecode/StructureStubInfo.cpp
Sending        JavaScriptCore/bytecode/StructureStubInfo.h
Sending        JavaScriptCore/bytecompiler/BytecodeGenerator.cpp
Sending        JavaScriptCore/jit/JIT.cpp
Sending        JavaScriptCore/jit/JIT.h
Sending        JavaScriptCore/jit/JITCall.cpp
Sending        JavaScriptCore/jit/JITOpcodes.cpp
Sending        JavaScriptCore/jit/JITStubs.cpp
Sending        JavaScriptCore/jit/JITStubs.h
Sending        JavaScriptCore/wtf/PtrAndFlags.h
Transmitting file data .............
Committed revision 46618.
Comment 4 Gavin Barraclough 2009-08-06 20:13:43 PDT
Sending        JavaScriptCore/ChangeLog
Sending        JavaScriptCore/bytecode/CodeBlock.cpp
Sending        JavaScriptCore/bytecode/CodeBlock.h
Sending        JavaScriptCore/bytecode/StructureStubInfo.cpp
Sending        JavaScriptCore/bytecode/StructureStubInfo.h
Sending        JavaScriptCore/bytecompiler/BytecodeGenerator.cpp
Sending        JavaScriptCore/jit/JIT.cpp
Sending        JavaScriptCore/jit/JIT.h
Sending        JavaScriptCore/jit/JITCall.cpp
Sending        JavaScriptCore/jit/JITOpcodes.cpp
Sending        JavaScriptCore/jit/JITPropertyAccess.cpp
Sending        JavaScriptCore/jit/JITStubs.cpp
Sending        JavaScriptCore/jit/JITStubs.h
Sending        JavaScriptCore/wtf/PtrAndFlags.h
Transmitting file data ..............
Committed revision 46879.

Trying again.....